<!--
  Copyright: (c) 2020-2021, VTK Gent vzw
  GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)
-->

<template>
  <v-btn
    class="studium-button"
    color="primary"
    depressed
    large
    :ripple="false"
    :disabled="busy"
    :loading="busy"
    @click="login"
  >
    {{ $t('landing.login') }}
  </v-btn>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api'

export default defineComponent({
  auth: 'guest',
  setup(_, { root }) {
    const busy = ref(root.$auth.busy)

    function login() {
      root.$auth.loginWith('cas')
    }

    return { busy, login }
  },
})
</script>
